### Function

# EvinceDocument Document misc_paint_one_page

deprecated: 3.10.

#### Declaration [src]

    void
    ev_document_misc_paint_one_page (
      cairo_t* cr,
      GtkWidget* widget,
      GdkRectangle* area,
      GtkBorder* border,
      gboolean highlight,
      gboolean inverted_colors
    )

#### Description

No description available.

Deprecated since: 3.10.

Please do not use it in newly written code.

#### Parameters

`cr`

  Type: `cairo_t`

  A #cairo_tEvannotation `widget` a `GtkWidget`.

  The data is owned by the caller of the function.

`widget`

  Type: `GtkWidget`

  No description available.

  The data is owned by the caller of the function.

`area`

  Type: `GdkRectangle`

  A `GdkRectangle`.

  The data is owned by the caller of the function.

`border`

  Type: `GtkBorder`

  A `GtkBorder`.

  The data is owned by the caller of the function.

`highlight`

  Type: `gboolean`

  Whether to highlight the text.

`inverted_colors`

  Type: `gboolean`

  Whether to invert colors.